## mingw-w64-mediainfo-24.01-1.src.tar.zst

=== Source/GUI/Android/app/CMakeLists.txt ===
# For more information about using CMake with Android Studio, read the
# documentation: https://d.android.com/studio/projects/add-native-code.html

cmake_minimum_required(VERSION 3.4.1)

# Build Zenlib
set(ZenLib_DIR ${CMAKE_CURRENT_BINARY_DIR}/ZenLib)
set(ZenLib_LIBRARY zen)

option(LARGE_FILES "Enable large files support" OFF)
add_subdirectory(../../../../../ZenLib/Project/CMake ${ZenLib_DIR})
include_directories(AFTER SYSTEM ../../../../../ZenLib/Source)
file(MAKE_DIRECTORY ${ZenLib_DIR}/../../../include) # fake system wide installation

# Build MediaInfoLib
set(MediaInfoLib_LIBRARY mediainfo)
set(MediaInfoLib_DIR ${CMAKE_CURRENT_BINARY_DIR}/MediaInfoLib)

option(JNI "Build JNI interface" ON)
add_subdirectory(../../../../../MediaInfoLib/Project/CMake ${MediaInfoLib_DIR})
include_directories(AFTER SYSTEM ../../../../../MediaInfoLib/Source)

=== PKGBUILD ===
_wx_basever=3.2

_realname=mediainfo 
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}"
         "${MINGW_PACKAGE_PREFIX}-${_realname}-gui")
pkgver=24.01
pkgrel=1
pkgdesc="Supplies technical and tag information about media files (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64')
url="https://mediaarea.net"
license=("spdx:BSD-2-Clause")
makedepends=(
  "${MINGW_PACKAGE_PREFIX}-autotools"
  "${MINGW_PACKAGE_PREFIX}-cc"
  "${MINGW_PACKAGE_PREFIX}-libmediainfo"
  "${MINGW_PACKAGE_PREFIX}-wxwidgets${_wx_basever}-msw"
  "${MINGW_PACKAGE_PREFIX}-wxwidgets${_wx_basever}-gtk3"
)
depends=(
  "${MINGW_PACKAGE_PREFIX}-dlfcn"
  "${MINGW_PACKAGE_PREFIX}-gcc-libs"
)
source=("https://mediaarea.net/download/source/${_realname}/${pkgver}/${_realname}_${pkgver}.tar.xz"
        001-missing-rc-mingw.patch)
sha256sums=('72fda0ee2e87e1effd5f5c85741ff1aa66cba10248cdfea87afaa4e98d956c65'
            '67da0ebd8cca56c86746104c28fcd9c46c70fc791274e4c65d8dddfd2cf155fd')
noextract=("${_realname}_${pkgver}.tar.xz")

apply_patch_with_msg() {
  for _patch in "$@"
  do
    msg2 "Applying $_patch"
    patch -Nbp1 -i "${srcdir}/$_patch"
  done
}

prepare() {
  echo "Extracting ${_realname}_${pkgver}.tar.xz ..."
  tar -xJf ${_realname}_${pkgver}.tar.xz || true

  cd "${srcdir}/MediaInfo"

  apply_patch_with_msg \
    001-missing-rc-mingw.patch

  cd "${srcdir}/MediaInfo/Project/GNU/CLI"

  ./autogen.sh

  cd "${srcdir}/MediaInfo/Project/GNU/GUI"

  ./autogen.sh
}

build() {
  # Build CLI interface
  cd "${srcdir}/MediaInfo/Project/GNU/CLI"

  CXXFLAGS="-D_UNICODE" \
  ./configure \
    --prefix="${MINGW_PREFIX}" \
    --host="${MINGW_CHOST}" \
    --build="${MINGW_CHOST}" \
    --enable-shared \
    --disable-static \
    --with-dll


  make

  # Build GUI interface
  cd "${srcdir}/MediaInfo/Project/GNU/GUI"

  CXXFLAGS="-D_UNICODE" \
  ./configure \
    --prefix="${MINGW_PREFIX}" \
    --host="${MINGW_CHOST}" \
    --build="${MINGW_CHOST}" \
    --enable-shared \
    --disable-static \
    --with-wxwidgets \
    --with-wx-gui \
    --with-dll

  make
}

package_mediainfo() {
  pkgdesc="Supplies technical and tag information about media files (CLI Interface) (mingw-w64)"
  depends=("${MINGW_PACKAGE_PREFIX}-libmediainfo")

  cd "${srcdir}/MediaInfo/Project/GNU/CLI"

  make DESTDIR="${pkgdir}" install

  install -vDm 644 "${srcdir}/MediaInfo/LICENSE" -t "${pkgdir}${MINGW_PREFIX}/share/licenses/$_realname/"
  install -vDm 644 "${srcdir}/MediaInfo/"{History_CLI.txt,README.md} -t "${pkgdir}${MINGW_PREFIX}/share/doc/$_realname/"
}

package_mediainfo-gui() {
  pkgdesc="Supplies technical and tag information about media files (GUI Interface) (mingw-w64)"
  depends=("${MINGW_PACKAGE_PREFIX}-libmediainfo"
           "${MINGW_PACKAGE_PREFIX}-wxwidgets${_wx_basever}-gtk3")

  cd "${srcdir}/MediaInfo/Project/GNU/GUI"

  make DESTDIR="${pkgdir}" install

  install -vDm 644 "${srcdir}/MediaInfo/LICENSE" -t "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}-gui/"
  install -vDm 644 "${srcdir}/MediaInfo/"{History_GUI.txt,README.md} -t "${pkgdir}${MINGW_PREFIX}/share/doc/${_realname}-gui/"
}

# template start; name=mingw-w64-splitpkg-wrappers; version=1.0;
# vim: set ft=bash :

# generate wrappers
for _name in "${pkgname[@]}"; do
  _short="package_${_name#${MINGW_PACKAGE_PREFIX}-}"
  _func="$(declare -f "${_short}")"
  eval "${_func/#${_short}/package_${_name}}"
done
# template end;

=== Project/GNU/PKGBUILD ===
# $Id$
# Maintainer: MediaArea.net SARL <info@mediaarea.net>
# Contributor: hydro <hydro@freenet.de>

pkgname=('mediainfo' 'mediainfo-gui')
pkgver=24.01
pkgrel=1
pkgdesc="supplies technical and tag information about a video or audio file"
url="http://mediaarea.net"
license=('BSD-2-Clause')
source=(${pkgname}_${pkgver}.orig.tar.xz)
md5sums=('00000000000000000000000000000000')
arch=('i686' 'x86_64')

depends=('libzen>=0.4.41' 'libmediainfo>=24.01' 'wxwidgets-gtk3' 'webkit2gtk' 'bubblewrap' 'libsm' 'desktop-file-utils')

prepare() {
    cd "${srcdir}"/MediaInfo/Project/GNU/CLI
    sh ./autogen.sh
    ./configure --prefix=/usr

    cd "${srcdir}"/MediaInfo/Project/GNU/GUI
    sh ./autogen.sh
    ./configure --prefix=/usr --with-wx-config=/usr/bin/wx-config
}

build() {
    cd "${srcdir}"/MediaInfo/Project/GNU/CLI
    make

    cd "${srcdir}"/MediaInfo/Project/GNU/GUI
    make
}

package_mediainfo() {
    pkgdesc="${pkgdesc} (CLI)"
    depends=('libmediainfo')

    cd "${srcdir}"/MediaInfo/Project/GNU/CLI
    make DESTDIR="${pkgdir}" install
}

package_mediainfo-gui() {
    pkgdesc="${pkgdesc} (GUI)"
    depends=('libmediainfo' 'wxwidgets-gtk3' 'webkit2gtk' 'bubblewrap' 'libsm' 'desktop-file-utils')

    cd "${srcdir}"/MediaInfo/Project/GNU/GUI
    make DESTDIR="${pkgdir}" install
}

=== debian/control ===
Source: mediainfo
Priority: optional
Section: utils
Maintainer: MediaArea.net SARL <info@mediaarea.net>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libmediainfo-dev (>= 24.01),
               libzen-dev (>= 0.4.41),
               libwxgtk3.0-dev,
               zlib1g-dev,
               pkg-config,
Standards-Version: 3.9.6
Homepage: http://MediaArea.net/MediaInfo
Vcs-Git: https://github.com/MediaArea/MediaInfo.git
Vcs-Browser: https://github.com/MediaArea/MediaInfo

Package: mediainfo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmediainfo0 (>= 24.01), libzen0 (>= 0.4.41)
Description: command-line utility for reading information from audio/video files
 MediaInfo is a utility used for retrieving technical information and other
 metadata about audio or video files.
 .
 A non-exhaustive list of the information MediaInfo can retrieve from media
 files include:
  - General: title, author, director, album, track number, date, duration...
  - Video: codec, aspect, fps, bitrate...
  - Audio: codec, sample rate, channels, language, bitrate...
  - Text: language of subtitle
  - Chapters: number of chapters, list of chapters
 .
 MediaInfo supports the following formats:
  - Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
           MPEG-4, DVD (VOB)...
  - Video Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
  - Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
  - Subtitles: SRT, SSA, ASS, SAMI...
 MediaInfo supplies technical and tag information about a video or audio file
 .
 This package includes the command line interface.

Package: mediainfo-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmediainfo0 (>= 24.01), libzen0 (>= 0.4.41)
Description: graphical utility for reading information from audio/video files
 MediaInfo is a utility used for retrieving technical information and other
 metadata about audio or video files.
 .
 A non-exhaustive list of the information MediaInfo can retrieve from media
 files include:
  - General: title, author, director, album, track number, date, duration...
  - Video: codec, aspect, fps, bitrate...
  - Audio: codec, sample rate, channels, language, bitrate...
  - Text: language of subtitle
  - Chapters: number of chapters, list of chapters
 .
 MediaInfo supports the following formats:
  - Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
           MPEG-4, DVD (VOB)...
  - Video Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
  - Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
  - Subtitles: SRT, SSA, ASS, SAMI...
 .
 This package contains the graphical user interface.

Package: mediainfo-dbg
Architecture: any
Section: debug
Priority: extra
Depends: mediainfo (= ${binary:Version}), ${misc:Depends}
Description: command-line utility for reading information from audio/video files
 MediaInfo is a utility used for retrieving technical information and other
 metadata about audio or video files.
 .
 A non-exhaustive list of the information MediaInfo can retrieve from media
 files include:
  - General: title, author, director, album, track number, date, duration...
  - Video: codec, aspect, fps, bitrate...
  - Audio: codec, sample rate, channels, language, bitrate...
  - Text: language of subtitle
  - Chapters: number of chapters, list of chapters
 .
 MediaInfo supports the following formats:
  - Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
           MPEG-4, DVD (VOB)...
  - Video Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
  - Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
  - Subtitles: SRT, SSA, ASS, SAMI...
 MediaInfo supplies technical and tag information about a video or audio file
 .
 This package contains the debugging symbols of the command line interface.

Package: mediainfo-gui-dbg
Architecture: any
Section: debug
Priority: extra
Depends: mediainfo-gui (= ${binary:Version}), ${misc:Depends}
Description: graphical utility for reading information from audio/video files
 MediaInfo is a utility used for retrieving technical information and other
 metadata about audio or video files.
 .
 A non-exhaustive list of the information MediaInfo can retrieve from media
 files include:
  - General: title, author, director, album, track number, date, duration...
  - Video: codec, aspect, fps, bitrate...
  - Audio: codec, sample rate, channels, language, bitrate...
  - Text: language of subtitle
  - Chapters: number of chapters, list of chapters
 .
 MediaInfo supports the following formats:
  - Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
           MPEG-4, DVD (VOB)...
  - Video Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
  - Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
  - Subtitles: SRT, SSA, ASS, SAMI...
 .
 This package contains the debugging symbols of the graphical user interface.
